Function
arrayClearSpace
Destroys the begin of an array and keeps the rest.
arrayClearSpace(arr_begin, arr_length, keep_from, move_to)
Include Headers
seqan/basic.h
Parameters

arr_begin | Pointer to the first element of the array.
arr_length | Length of the array.
keep_from | Offset of the first object that will be kept.
move_to | Offset the first kept object will get at the end of the function.

Remarks
The objects arr[keep_from] to arr[arr_length-1] are moved to the area beginning at positions move_to. All objects in arr[0] to arr[keep_from-1] are destroyed. After this function, the first move_to positions of the array are free and dont contain objects.
The array must have at least enough space to store arr_length + move_to - keep_from objects.
See Also
arrayDestruct, arrayCopyForward, SimpleType, arrayCopy
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46